# Partially update approver Endpoint: PATCH /enrichment/approvers/{externalId} Version: 2.51.0 Security: OAuth2 ## Path parameters: - `externalId` (string, required) Previously sent externalId ## Request fields (application/merge-patch+json): - `externalId` (string, required) External id of the approver that is globally unique across the provided approver data Example: "UserID#1234" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string) Code of the approver in the source system (not unique across clients) Example: "CODE1" - `companyAssignment` (array) List of externalCompanyIds that the approver is assigned to Example: ["DE01","US01"] - `isActive` (boolean) Example: true - `firstName` (string) First name of the approving person Example: "Koala" - `lastName` (string) Last name of the approving person Example: "Hinze" - `email` (string) Email address of the approving person Example: "accountant@sap.com" - `phoneNumber` (string) Phone number of the approving person Example: "+491001234567891" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `externalId` (string, required) External id of the approver that is globally unique across the provided approver data Example: "UserID#1234" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string) Code of the approver in the source system (not unique across clients) Example: "CODE1" - `companyAssignment` (array) List of externalCompanyIds that the approver is assigned to Example: ["DE01","US01"] - `isActive` (boolean) Example: true - `firstName` (string) First name of the approving person Example: "Koala" - `lastName` (string) Last name of the approving person Example: "Hinze" - `email` (string) Email address of the approving person Example: "accountant@sap.com" - `phoneNumber` (string) Phone number of the approving person Example: "+491001234567891" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 400 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 404 fields (application/json): - `type` (string) A URI reference that uniquely identifies the problem type only in the context of the provided API. Opposed to the specification in RFC-7807, it is neither recommended to be dereferenceable and point to a human-readable documentation nor globally unique for the problem type. Example: "/some/uri-reference" - `title` (string) A short summary of the problem type. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some title for the error situation" - `status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `detail` (string) A human readable explanation specific to this occurrence of the problem that is helpful to locate the problem and give advice on how to proceed. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some description for the error situation" - `instance` (string) A URI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code. Example: "/some/uri-reference#specific-occurrence-context" ## Response 415 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields